## ruli-0.19.tar.gz

=== Makefile ===
#
# $Id: Makefile,v 1.2 2004/02/25 06:16:22 evertonm Exp $
#
# This is a Debian-friendly top-level Makefile.
#

.PHONY: default
default:
	$(MAKE) -C src

.PHONY: clean
clean:
	$(MAKE) -C src clean

.PHONY: install
install:
	$(MAKE) -C src install

.PHONY: dpkg
dpkg:
	dpkg-buildpackage -rfakeroot
