=== sample/Makefile ===
#
# $Id: Makefile,v 1.5 2003/02/16 07:24:35 evertonm Exp $
#

#
# OOP_INCLUDE_DIR points the location of
# Liboop headers in your system
#
# OOP_LIB_DIR points the location of
# Liboop libraries in your system
#
OOP_BASE_DIR    = /usr/local/oop
OOP_INCLUDE_DIR = $(OOP_BASE_DIR)/include
OOP_LIB_DIR     = $(OOP_BASE_DIR)/lib

#
# INSTALL_BASE_DIR indicates where RULI
# is to be installed in your system
#
INSTALL_BASE_DIR    = ../install/ruli
INSTALL_INCLUDE_DIR = $(INSTALL_BASE_DIR)/include
INSTALL_LIB_DIR     = $(INSTALL_BASE_DIR)/lib
INSTALL_BIN_DIR     = $(INSTALL_BASE_DIR)/bin

#SOLARIS_LDFLAGS = -lresolv -lnsl -R$(OOP_LIB_DIR) -R$(INSTALL_LIB_DIR)

CC      = gcc
CFLAGS  = -O2 -pipe -Wall -g -I$(INSTALL_INCLUDE_DIR) -I$(OOP_INCLUDE_DIR)
LDFLAGS = -L$(INSTALL_LIB_DIR) -L$(OOP_LIB_DIR) -lruli -loop $(SOLARIS_LDFLAGS)

TARGETS = srvsearch sync_srvsearch smtpsearch sync_smtpsearch

.PHONY: default
default: $(TARGETS)

.PHONY: clean
clean:
	rm -f *~ .*~ *.o $(TARGETS)

.PHONY: build
build: clean default

.PHONY: strip
strip: $(TARGETS)
	strip $(TARGETS)

.PHONY: install
install: $(TARGETS)
	[ -d $(INSTALL_BIN_DIR) ] || mkdir -p $(INSTALL_BIN_DIR) || exit
	cp $(TARGETS) $(INSTALL_BIN_DIR)

srvsearch: srvsearch.o stdout_srv_list.o
	$(CC) $(LDFLAGS) -o $@ $^

sync_srvsearch: sync_srvsearch.o stdout_srv_list.o
	$(CC) $(LDFLAGS) -o $@ $^

smtpsearch: smtpsearch.o stdout_srv_list.o
	$(CC) $(LDFLAGS) -o $@ $^

sync_smtpsearch: sync_smtpsearch.o stdout_srv_list.o
	$(CC) $(LDFLAGS) -o $@ $^
