=== debian/watch ===
# Site				Directory	Pattern			Version	Script
version=2
http://savannah.nongnu.org 	/download/ruli	ruli-(.*)\.tar\.gz	debian	uupdate
